This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 477940 - wrong dll map for libgnome-desktop
wrong dll map for libgnome-desktop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-desktop-sharp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 20:56 EST by sangu
Modified: 2009-07-05 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-05 20:23:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-12-25 20:56:42 EST
Description of problem:
The file gnomedesktop-sharp.dll.config maps gnome-desktop-2 to libgnome-desktop-2.so.7, but gnome-desktop-2.25.3-2.fc11 contains libgnome-desktop-2.so.11 instead.

$ cat /usr/lib/mono/gac/gnomedesktop-sharp/2.20.0.0__35e10195dab3c99f/gnomedesktop-sharp.dll.config 
<configuration>
  <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.so.0"/>
  <dllmap dll="libgobject-2.0-0.dll" target="libgobject-2.0.so.0"/>
  <dllmap dll="libgthread-2.0-0.dll" target="libgthread-2.0.so.0"/>
  <dllmap dll="libgtk-win32-2.0-0.dll" target="libgtk-x11-2.0.so.0"/>
  <dllmap dll="gnome-desktop-2" target="libgnome-desktop-2.so.7"/>
</configuration>

$ rpm -ql gnome-desktop|grep libgnome-desktop-2.so
/usr/lib/libgnome-desktop-2.so.11
/usr/lib/libgnome-desktop-2.so.11.0.0

Version-Release number of selected component (if applicable):
2.24.0-3.fc10.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
bug 465697 happens, again.
gnome-desktop-2.25.3-2.fc11.i386
Comment 1 sangu 2009-02-04 18:58:37 EST
$ cat ~/.xsession-errors.
[Error 08:50:23.714] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:50:23.737] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:50:23.738] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:52:30.268] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:52:30.268] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:52:30.269] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:52:30.269] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:52:30.269] Could not load desktop item: libgnome-desktop-2.so.7
[Error 08:52:30.269] Could not load desktop item: libgnome-desktop-2.so.7
...
Comment 2 Ben Gamari 2009-02-19 11:30:00 EST
Any progress on this? It's been several months now. Shouldn't this just be a matter of fixing the .config file in question (or its template).
Comment 3 Xavier Lamien 2009-02-19 11:43:28 EST
thanks Ben for the heads-up, that should already be fixed.
let me check out the files.
Comment 4 sangu 2009-03-06 23:30:20 EST
gnome-desktop-sharp-2.26.0 released < http://download.gnome.org/sources/gnome-desktop-sharp/2.26/gnome-desktop-sharp-2.26.0.tar.bz2 >

in Changelog
2009-03-02  Mike Kestner  <mkestner@novell.com>

        * configure.in: test for 2.25.0, bump version to 2.26.0.
        * gnomedesktop/gnomedesktop-sharp.dll.config.in: bump so version

Fixed?
Comment 5 Bug Zapper 2009-06-09 06:30:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.